q2-cutadapt ValidationError: Missing sequence for record beginning on line 9

Yes! Thanks! Also for the quick reply.
But now I ran into a different problem. I already also deleted any spaces and, well, there are only letters, numbers as well as _ and - in the metadata.tsv now. But when I run the same command:

qiime cutadapt demux-paired --i-seqs input.qza --m-forward-barcodes-file my-sample-metadata.tsv --m-forward-barcodes-column BarcodeSequence --p-error-rate 0.1 --o-per-sample-sequences demux_seqs.qza --o-untrimmed-sequences untrimmed.qza --verbose

The following error message appears:

Traceback (most recent call last):
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/plugin/model/file_format.py”, line 24, in validate
self.validate(level)
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_types/per_sample_sequences/_format.py”, line 204, in validate
self._check_n_records(record_count_map[level])
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_types/per_sample_sequences/_format.py”, line 175, in _check_n_records
% (i * 4 + 1))
qiime2.core.exceptions.ValidationError: Missing sequence for record beginning on line 9

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in demux_paired
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 362, in callable_executor
output_views = self._callable(**view_args)
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_cutadapt/_demux.py”, line 136, in demux_paired
return _demux(seqs, forward_barcodes, error_rate, untrimmed)
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_cutadapt/_demux.py”, line 112, in _demux
muxed = len(list(per_sample_sequences.sequences.iter_views(FastqGzFormat)))
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/plugin/model/directory_format.py”, line 141, in iter_views
yield fp.relative_to(root), transformation(fp)
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/core/transform.py”, line 68, in transformation
self.validate(view)
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/core/transform.py”, line 143, in validate
view.validate(‘min’)
File “/home/parallels/miniconda3/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/plugin/model/file_format.py”, line 29, in validate
) from e
qiime2.core.exceptions.ValidationError: /tmp/q2-CasavaOneEightSingleLanePerSampleDirFmt-szd4cci4/MS1_5_ATAGAGTACT_L001_R1_001.fastq.gz is not a(n) FastqGzFormat file:

Missing sequence for record beginning on line 9

Plugin error from cutadapt:

/tmp/q2-CasavaOneEightSingleLanePerSampleDirFmt-szd4cci4/MS1_5_ATAGAGTACT_L001_R1_001.fastq.gz is not a(n) FastqGzFormat file:

Missing sequence for record beginning on line 9

See above for debug info.

If I grep for the given barcode in the forward.fastq (unzipped) file and look at the first three sequences (given the order stays the same), it looks like a perfectly normal .fastq entry to me:

grep -A2 -B1 ATAGAGTACT forward.fastq | head -n 14

@M04920:8:000000000-C6N9L:1:1101:21136:6366 1:N:0:GTACACCT+TCCTCATG
ATAGAGTACTGGAAGCGTGGCAATAACAGGTCTGTGATGCCCTTAGATGTTCTGGGCCGCACGCGCGCTACACTGATGCATTCAACGAGCCTATCCTTGACCGACAGGTCCGGGTAATCTTTGAATCTGCATCGTGACGGGGATAGATTATTGCAATTATTAATCTTCAACGAGGAATGCCTAGTAGGCGCAAGTCATCAGCTAGCGTCGATTACGTCCCTGCCCTTTGTACACACCGCCCGTCGCTACTC
+
[email protected]/E//E//>E/EE/>[email protected]/F/EGHFHF<G2GFB1E/BC?EHC<////<FGGDGFD11FGG1GDGF?.F0FACGGGGHGF0D0D<<00;0GCFBF000;:G0GC.:[email protected]–9;0B0BB/;/B/B----;;FABAFF?-BFFFFEBBFBFFFBFF–;@@-----;-9B/

@M04920:8:000000000-C6N9L:1:1101:9873:26369 1:N:0:GTACACCT+TCCTCATG
ATAGAGTACTGGAAGCGTGGCAATAACAGGTCTGTGATGCCCTTCGATGTTCTGGGCCGCACGCGCGCTACACTGACTGGTTCATCGAGTATACAACCTTGACTGATAGGTCTGGGTAATCTTCTCAAAGCCAGTCGTGCTGGGGATAGATTATTGTAATTTTTAATCTTCAACGAGGAATTCCTAGTAAACGCGAGTCATCAACTTGCATTGAATACGTTACTGCCCTTTGTACACACCGCCCGTCGCT
+
BBCCCFFFFFFFGGGGGGGGGGHHHHHHHHHHHHHHHHHHHHHH2GGHHHHHHHHHHHGGGGGGGGGGGGGHHHHHHHHHHGHHHHHHGHHHHHHHHGHHHHHHHHGHHHGHHHHHHHHHHHHHHHHHHHHHHHHHGGGGGHHGGFGHHHHHHHHHHHHHHHHHHHHHHHHHHHGGGGGHHHHHHHHHHHHHGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGFFFFFFFFFFFFFFFFFFFFFFFFFFFF

@M04920:8:000000000-C6N9L:1:1102:22081:24085 1:N:0:GTACACCT+TCCTCATG
ATAGAGTACTGGAAGCGTGGCAATAACAGGTCTGTGATGCCCTTAGATGTTCTGGGCCGCACGCGCGCTACACTGATGCATTCAACGAGCCTATCCTTGACCGACAGGTCCGGGTAATCTTTGAATCTGCATCGTGACGGGGATAGATTATTGCAATTATTAATCTTCAACGAGGAATGCCTAGTAGGCGCAAGTCATCAGCTTGCGTCGATTACGTCCCTGCCCTTTGTACACACCGCCCGTCGCTACT
+
BBBBBFFFFFFFABA4AAAFEGFHHHHHFHFHFHHFDGGHHHHHCGHFHDFGFHDECGGEFGGGGGFG/[email protected]<GHHFGGGCGGFHHFHFHHHFFHFHHGHHFHFHFHHFGGCDGGGFFBGBBFCFGF0AGCF?CFBBBFBFFBFEDA=D;EFDFFBAADFFEFFFFB/;FFFBFFFF;FDF-;;BD.>F

Is there another as simple solution for this?

Hi @inga,
Please see this post for a description of this error and a workaround:

Hej,
Thanks! I saw the post before but since I was demuxing not trimming I did not consider it relevant. This detour to cutadapt took me several days but certainly helped me to understand this plugin though…
Have great summer!